Bug 25468 - Preserve line breaks in hold notes
Summary: Preserve line breaks in hold notes
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-12 14:50 UTC by Kyle M Hall
Modified: 2020-05-19 22:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06


Attachments
Bug 25468: Preserve line breaks in hold notes (1.47 KB, patch)
2020-05-12 14:52 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25468: Preserve line breaks in hold notes (1.47 KB, patch)
2020-05-12 14:54 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25468: Preserve line breaks in hold notes (1.51 KB, patch)
2020-05-13 20:54 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 25468: Preserve line breaks in hold notes (1.61 KB, patch)
2020-05-15 08:54 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2020-05-12 14:50:12 UTC
In a hold note, line breaks are not preserved when viewing the note. A note like:
--
Test 1

Test 2
--

will be rendered as:
--
Test 1 Test 2
--
Comment 1 Kyle M Hall 2020-05-12 14:52:09 UTC
Created attachment 104791 [details] [review]
Bug 25468: Preserve line breaks in hold notes

In a hold note, line breaks are not preserved when viewing the note. A
note like:
--
Test 1

Test 2
--

will be rendered as:
--
Test 1 Test 2
--

Test Plan:
1) Place a hold with a note, use line breaks in the note.
2) Note the lines all run together when viewing the hold.
3) Apply this patch.
4) Reload the page.
5) Notes should now display with the original line breaks!
Comment 2 Kyle M Hall 2020-05-12 14:54:10 UTC
Created attachment 104792 [details] [review]
Bug 25468: Preserve line breaks in hold notes

In a hold note, line breaks are not preserved when viewing the note. A
note like:
--
Test 1

Test 2
--

will be rendered as:
--
Test 1 Test 2
--

Test Plan:
1) Place a hold with a note, use line breaks in the note.
2) Note the lines all run together when viewing the hold.
3) Apply this patch.
4) Reload the page.
5) Notes should now display with the original line breaks!
Comment 3 Lucas Gass 2020-05-13 20:54:27 UTC
Created attachment 104854 [details] [review]
Bug 25468: Preserve line breaks in hold notes

In a hold note, line breaks are not preserved when viewing the note. A
note like:
--
Test 1

Test 2
--

will be rendered as:
--
Test 1 Test 2
--

Test Plan:
1) Place a hold with a note, use line breaks in the note.
2) Note the lines all run together when viewing the hold.
3) Apply this patch.
4) Reload the page.
5) Notes should now display with the original line breaks!

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 4 Marcel de Rooy 2020-05-15 08:54:31 UTC
Created attachment 104923 [details] [review]
Bug 25468: Preserve line breaks in hold notes

In a hold note, line breaks are not preserved when viewing the note. A
note like:
--
Test 1

Test 2
--

will be rendered as:
--
Test 1 Test 2
--

Test Plan:
1) Place a hold with a note, use line breaks in the note.
2) Note the lines all run together when viewing the hold.
3) Apply this patch.
4) Reload the page.
5) Notes should now display with the original line breaks!

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2020-05-15 08:55:42 UTC
@RM: Touches a template but should not result in translation changes.
Just a %s ;)
Comment 6 Martin Renvoize 2020-05-15 08:58:31 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-05-19 22:24:23 UTC
Backported to 19.11.x for 19.11.06